サポート » その他 » 「サイトを離れますか」と毎回出るようになりました

  • 解決済 lattemaestro

    (@lattemaestro)


    12/9にWordPress5.6にアップデートしました。
    すると、記事を作成しその内容を保存しているにも関わらず、
    ページを閉じようとしたり、別のリンク先に飛ぼうすると、
    「サイトを離れますか?行った変更が保存されない可能性があります。」
    と毎回聞かれるようになってしまいました。
    記事の内容を保存や更新していないと上記メッセージが出るのはわかりますが、
    保存や更新をしているにも関わらずメッセージが出ます。
    Cookieやキャッシュの削除は行いましたが解決しませんでした。
    解決策がわかりましたらお願いいたします。

    OS:Windows10 64ビット
    ブラウザ:Google Chrome 87.0.4280.88
    WordPressのバージョン:5.6

15件の返信を表示中 - 1 - 15件目 (全22件中)
  • こちらもその様な事がありましたが、管理画面高負荷時に稀にメッセージが出るようです。
    内部 React script Errorがあるので、それが原因かも知れません。

    スレッド開始 lattemaestro

    (@lattemaestro)

    返信いただきありがとうございます。
    WordPressに関しては素人同然のため、内部 React script Errorがどういったものであるかわかりませんでした。
    せっかく返信いただいたのに知識不足で申し訳ありません。

    こらちの確認ではWooCommerce商品時稀になる場合がありました。英語フォーラムの方ではまだ誰も同じ症状の報告が無いようなので???です。少し様子見でしょう。

    スレッド開始 lattemaestro

    (@lattemaestro)

    ありがとうございます。様子見します。

    やはり、同じ症状の方が英語版フォーラムに。
    https://wordpress.org/support/topic/5-6-exiting-gutenberg-error-f12/

    此方では投稿・固定でのブロックエディタの症状はなく、WooCommerce商品編集時に稀に出ます。
    REST API関係かも知れません。

    スレッド開始 lattemaestro

    (@lattemaestro)

    情報提供いただきありがとうございます。
    Google翻訳を駆使して理解しようとしましたが、いまいちわからずです・・・
    Gutenbergが悪さをしてるんですかね。

    • この返信は9ヶ月、 2週前にlattemaestroが編集しました。

    Gutenbergの基盤scriptの原因の様です。
    此方で5.6デフォルトテーマ(Twenty Twenty-One)を変更した処、投稿・固定ではメッセージは出ず、WooCommerce商品編集時に必ず出る様になりました。利用しているテーマかプラグインも影響の可能性があるようです。

    スレッド開始 lattemaestro

    (@lattemaestro)

    ありがとうございます。
    デフォルトテーマ(Twenty Twenty-Oneなど)は5.6への更新と一緒に更新しましたが、デフォルトテーマは使用していません。
    現在利用しているテーマやプラグインを変更や停止して同じ現象になるか検証してみます。
    ありがとうございます。

    jQueryのバージョンアップの影響ではないでしょうか。
    使用しているプラグインやテーマが現在のjQueryバージョンに対応しているか確認してみてはどうでしょう。
    Consoleにエラーなど出ていませんか?

    少し分かって来たこと事ですが。但しWooCommerce環境下において。
    WordPressバックグランド処理のリビジョン停止にしているのに関わらず、商品編集画面に切り替えた時点で、毎回『ブラウザー内のこの投稿の下書きが以下のバージョンと異なっているようです。』メッセージが必ず出るのと、サイトを離れますかは相変わらず。トラブル避ける為新規インストールからしても同じ結果にとなりました。
    React絡みのエラーがあるのかも。取り敢えずWooCommerce(英)フォーラムにも質問投げてあります。

    スレッド開始 lattemaestro

    (@lattemaestro)

    >>shokun0803様
    返信いただきありがとうございます。Wordpressでブログを始めたばかりのため、jQueryやConsoleエラーといったものがどういったものなのか知識がありません。
    せっかく返信いただいたのに申し訳ありません。勉強します。

    >>ifnoob様
    情報提供ありがとうございます。
    woocommerceというものは使用していませんが、ECサイト構築プラグインのようなので、私がインストールしている別のプラグインが悪さをしているのかもしれませんね。

    此方で色々と試しいますが、投稿・固定ではメッセージは出ず、そのWooCommerceカートシステムプラグインがどうにも他のErrorありで困った症状です。WooCommerce以外で多分同じ様な症状の方はいると思います。英語語フォーラムにも投稿しましたのでその内容を見てでしょうか。現在試した処
    Webサーバ Apache・Nginx
    MySQL 5.6.x 5.7.x 8.x
    PHP 7.2.x 7.3.x 7.4.x
    英語版 5.6 + Woo4.8
    日本語版 5.6 + Woo4.8
    全てにて同じ症状が出てますので、テーマ&プラグインによる影響はそれ程無いかも知れません。

    お疲れ様です。
    私のほうでも、バージョンアップ後にこれが毎回出るようになってしまい、調べるとこちらのスレが出てきました。
    こちらのページの解決を見守るとともに、私のほうでも調べたりしていきながら解決できないか確認していきます。

    lattemaestroさん
    サポートフォーラムでのテンプレ的な回答になりますが、WordPressを使い始めたばかりとおっしゃっているので、以下を試してみてください。
    1.すべてのプラグインを停止
    2.テーマをデフォルトテーマに変更(5.6にアップデートしているならTwenty Twenty-Oneがデフォルトテーマです。が、アップデート前を再現するならTwenty Twentyでもいいかも。)
    上記の状態でも同じ問題が発生する場合、テーマ・プラグイン以外に問題がある可能性があります。

    上記の状態で問題が解決した場合、
    1.プラグインを一つずつ有効化しながら問題が発生するか確認
    2.テーマを元に戻して問題が発生するか確認
    上記手順でどこで問題が発生するか検証します。
    ただし、プラグインとテーマの組み合わせで発生するなども考えられるため、プラグインはすべて止めた状態でテーマを戻してみるなど、組み合わせも考える必要がある場合があります。

    問題がどこにあるかの切り分けを行いながらその結果とともに質問を投げると解決が早くなりますので、お試しください。

    スレッド開始 lattemaestro

    (@lattemaestro)

    >>shokun0803様
    すごくわかりやすく教えていただきありがとうございます。
    教えていただきました手順通りプラグインを1つずつ有効化・無効化して検証していったところ、「Classic Editor」というプラグインを無効化することで問題が発生しなくなりました!
    とても勉強になりました。ありがとうございました。

    >>ifnoob様
    多くの情報提供ありがとうございました。無事に解決しました。教えていただいた英語版フォーラムに書いてあったGutenbergを利用せずに、Classic Editorを利用していたせいだと思います。
    ただ、私はWooCommerceというプラグインを使用していないのでifnoob様の問題はまた別の話ですかね。

    >>yorozumemo様
    無事解決しました。これで解決できることを願っています。

15件の返信を表示中 - 1 - 15件目 (全22件中)
  • トピック「「サイトを離れますか」と毎回出るようになりました」には新たに返信することはできません。